:root {
    --neutral-50: hsl(0, 0%, 100%);
    --neutral-100: hsl(0, 0%, 95%);
    --neutral-150: hsl(0, 0%, 90%);
    --neutral-200: hsl(0, 0%, 85%);
    --neutral-250: hsl(0, 0%, 80%);
    --neutral-300: hsl(0, 0%, 75%);
    --neutral-350: hsl(0, 0%, 70%);
    --neutral-400: hsl(0, 0%, 65%);
    --neutral-450: hsl(0, 0%, 60%);
    --neutral-500: hsl(0, 0%, 55%);
    --neutral-550: hsl(0, 0%, 50%);
    --neutral-600: hsl(0, 0%, 45%);
    --neutral-650: hsl(0, 0%, 40%);
    --neutral-700: hsl(0, 0%, 35%);
    --neutral-750: hsl(0, 0%, 30%);
    --neutral-800: hsl(0, 0%, 25%);
    --neutral-850: hsl(0, 0%, 20%);
    --neutral-900: hsl(0, 0%, 15%);
    --neutral-950: hsl(0, 0%, 10%);
}

:root {
    --secondary-1: #aebcb9;
    --secondary-2: #869791;
    --secondary-3: #748182;
}

:root {
    --ff-1: "Poppins", sans-serif;
    --ff-2: "Montserrat", sans-serif;
}

html {
    scroll-padding-block-start: 6.5rem;
}

::selection {
    background-color: var(--neutral-900);
    color: var(--neutral-50);
}

body {
    font-family: var(--ff-1);
}

svg,
img {
    width: 100%;
    display: block;
    object-fit: cover;
}

.section-py {
    padding-block: clamp(5.5rem, calc(4rem + 2.5vw), 8rem);
}

.text-neutral-50 {
    color: var(--neutral-50);
}

.bg-neutral-100 {
    background-color: var(--neutral-100);
}

.bg-neutral-900 {
    background-color: var(--neutral-900);
}

.text-secondary-3 {
    color: var(--secondary-3);
}

.main-btn {
    --time: 0.5s ease-in-out;

    padding-block: 0.625rem;
    padding-inline: 1.875rem;

    border-radius: 0.3125rem;

    font-size: 0.8125rem;
    font-family: inherit;
    text-transform: capitalize;
    text-decoration: none;
    text-align: center;

    transition:
        border-color var(--time),
        background-color var(--time),
        color var(--time);

    &.btn-1 {
        border: 1px solid var(--neutral-900);
        background-color: var(--neutral-900);
        color: var(--neutral-50);

        &:hover {
            border-color: var(--neutral-900);
            background-color: var(--neutral-50);
            color: var(--neutral-900);
        }
    }

    &.btn-2 {
        border: 1px solid var(--neutral-900);
        background-color: var(--neutral-50);
        color: var(--neutral-900);

        &:hover {
            border-color: var(--neutral-900);
            background-color: var(--neutral-900);
            color: var(--neutral-50);
        }
    }
}

.overlay {
    --position: 0.3125rem;
    --duration: 0.45s;
    --time: var(--duration) ease-in-out;

    display: flex;
    justify-content: center;
    align-items: center;
    gap: 0.25rem;

    position: absolute;
    inset: var(--position);
    z-index: 2;

    transform: translateY(calc(var(--position) + 0.15rem)) scaleY(0.95) scaleX(0.98);

    visibility: hidden;
    opacity: 0;

    background-color: rgba(255, 255, 255, 0.95);

    transition:
        visibility var(--time),
        opacity var(--time),
        transform var(--time);

    &.rotate-type {
        transform: translateY(calc(var(--position) + 0.15rem)) scale(0.95) rotateY(180deg);
    }

    .overlay__icon {
        --size: 1rem;

        padding-block: 0.85rem;
        padding-inline: 0.85rem;

        inline-size: var(--size);
        block-size: var(--size);

        display: flex;
        justify-content: center;
        align-items: center;

        border-radius: 50%;

        .icon {
            font-size: 0.65rem;
        }
    }
}

.section-title {
    inline-size: fit-content;

    margin-block-end: min(calc(2.25rem + 1.5vw), calc(4vw + 1rem));
    margin-inline: auto;

    position: relative;
    z-index: 2;

    font-family: var(--ff-2);
    font-size: clamp(1.875rem, 4vw, 2.5rem);
    font-weight: 900;
    text-transform: capitalize;
    text-align: center;

    color: var(--neutral-900);

    &::after {
        content: ".";

        position: relative;
        inset-block-start: 0;
        inset-inline-end: 0;
        z-index: 1;

        font-weight: 900;
    }

    &::before {
        content: "";

        inline-size: 100%;
        block-size: 1rem;

        position: absolute;
        inset-block-end: 0;
        inset-inline-start: 0;
        z-index: -1;

        background-image: url("../images/dots.png");
        background-position: center;
        background-repeat: repeat;
    }
}

.custom-card {
    padding-block: 2.8rem;
    padding-inline: 1.3rem;

    border-radius: 0.3125rem;

    display: flex;
    flex-direction: column;
    gap: 1rem;

    background-color: var(--neutral-50);

    text-align: center;

    &.has-shadow {
        --shadow: 0 0.625rem 1.875rem -0.5rem rgba(0, 0, 0, 0.1);

        -webkit-box-shadow: var(--shadow);
        box-shadow: var(--shadow);
    }

    @media screen and (min-width: 776px) {
        padding-block: 3.25rem;
    }

    @media screen and (min-width: 991px) {
        padding-block: 4.25rem;
    }

    &:hover {
        .custom-card__icon {
            background-color: var(--neutral-900);
            color: var(--neutral-50);
        }
    }

    .custom-card__icon {
        --size: 4rem;
        --time: 0.3s ease-in-out;

        inline-size: var(--size);
        block-size: var(--size);

        margin-inline: auto;

        border-radius: 50%;

        display: flex;
        justify-content: center;
        align-items: center;

        font-size: 1.5rem;

        background-color: var(--neutral-100);

        transition:
            background-color var(--time),
            color var(--time);
    }

    .custom-card__title {
        margin: 0;

        font-family: var(--ff-2);
        font-size: clamp(1.1rem, 1vw, 1.25rem);
        font-weight: 800;

        text-transform: capitalize;
    }

    .custom-card__desc {
        margin: 0;

        font-size: clamp(0.85rem, 1vw, 1rem);
        font-weight: 300;
        color: var(--secondary-3);
        line-height: 1.6;

        &.reset-width {
            max-inline-size: 60%;

            margin-inline: auto;

            text-align: center;
        }
    }
}

.form-control {
    padding-block: 0.6rem;

    border: 1px solid transparent;

    background-color: var(--neutral-100);

    font-size: clamp(0.8rem, 1.25vw, 1rem);

    caret-color: var(--neutral-900);

    &.textarea {
        min-height: 10rem;
    }

    &::placeholder {
        text-transform: capitalize;
    }

    &:focus {
        --shadow: none;

        border-color: transparent;
        background-color: var(--neutral-100);

        -webkit-box-shadow: var(--shadow);
        box-shadow: var(--shadow);
    }
}

.navbar {
    --time: 0.5s ease-in-out;

    padding-block: 1.25rem;

    transition:
        padding-block var(--time),
        background-color var(--time),
        -webkit-box-shadow var(--time),
        box-shadow var(--time);

    @media screen and (min-width: 992px) {
        padding-block: 2rem;
    }

    &.is-toggle-navbar {
        --shadow: 0 1.875rem 3.125rem rgba(0, 0, 0, 0.05);

        padding-block: 0.65rem;

        background-color: var(--neutral-50);

        -webkit-box-shadow: var(--shadow);
        box-shadow: var(--shadow);

        .navbar-brand,
        .nav-link {
            color: var(--neutral-900);
        }

        .nav-link {
            &.active {
                color: var(--neutral-900);
            }

            &::before {
                background-color: var(--neutral-900);
            }
        }

        .navbar-toggler {
            .navbar-toggler-icon {
                background-image: url('data:image/svg+xml,<svg viewBox="-0.5 0 25 25" fill="none" xmlns="http://www.w3.org/2000/svg"><g id="SVGRepo_bgCarrier" stroke-width="0"></g><g id="SVGRepo_tracerCarrier" stroke-linecap="round" stroke-linejoin="round"></g><g id="SVGRepo_iconCarrier"><path d="M2 12.32H22" stroke="%23000000" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"></path><path d="M2 18.32H22" stroke="%23000000" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"></path><path d="M2 6.32001H22" stroke="%23000000" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"></path></g></svg>');
            }
        }
    }

    .navbar-brand {
        color: var(--neutral-50);
        font-family: var(--ff-2);
    }

    .navbar-toggler {
        border: none;

        &:focus {
            --shadow: none;

            -webkit-box-shadow: var(--shadow);
            box-shadow: var(--shadow);
        }

        .navbar-toggler-icon {
            background-image: url('data:image/svg+xml,<svg viewBox="-0.5 0 25 25" fill="none" xmlns="http://www.w3.org/2000/svg"><g id="SVGRepo_bgCarrier" stroke-width="0"></g><g id="SVGRepo_tracerCarrier" stroke-linecap="round" stroke-linejoin="round"></g><g id="SVGRepo_iconCarrier"><path d="M2 12.32H22" stroke="%23ffffff" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"></path><path d="M2 18.32H22" stroke="%23ffffff" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"></path><path d="M2 6.32001H22" stroke="%23ffffff" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"></path></g></svg>');
        }
    }

    .nav-pills {
        padding-block: 1.5rem;

        border-radius: 0.625rem;

        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 0.75rem;

        background-color: var(--neutral-50);

        @media screen and (min-width: 992px) {
            padding-block: 0;

            flex-direction: row;
            gap: 2.5rem;

            background-color: transparent;
        }
    }

    .nav-link {
        --transition: inline-size 0.3s ease-in-out;

        padding-inline: 0;
        position: relative;

        font-size: clamp(0.875rem, 1.35vw, 1rem);
        text-transform: capitalize;

        color: var(--neutral-900);

        @media screen and (min-width: 992px) {
            color: var(--neutral-50);
        }

        &:focus-visible {
            --shadow: none;

            -webkit-box-shadow: var(--shadow);
            box-shadow: var(--shadow);
        }

        &::before {
            content: "";

            inline-size: 0;
            block-size: 2px;

            border-radius: 0.3125rem;

            position: absolute;
            inset-block-end: 0.125rem;
            inset-inline-start: 0;

            background-color: var(--neutral-900);

            -webkit-transition: var(--transition);
            -o-transition: var(--transition);
            -moz-transition: var(--transition);
            transition: var(--transition);

            @media screen and (min-width: 992px) {
                background-color: var(--neutral-50);
            }
        }

        &.active {
            background-color: transparent;
            color: var(--neutral-900);

            @media screen and (min-width: 992px) {
                color: var(--neutral-50);
            }

            &::before {
                inline-size: 100%;
            }
        }
    }
}

.intro {
    min-block-size: 100dvh;

    position: relative;
    z-index: 2;

    display: grid;
    place-content: center;

    background-image: url("../images/bg.jpg");
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;

    &::before {
        content: "";

        inline-size: 100%;
        block-size: 100%;

        position: absolute;
        inset-block-start: 0;
        inset-inline-start: 0;
        z-index: -1;

        background-color: rgba(0, 0, 0, 0.65);
    }

    .intro__content {
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 1rem;

        text-align: center;
        text-transform: capitalize;
        color: var(--neutral-50);

        .hello-text {
            font-size: clamp(1.5rem, 6vw, 3.125rem);
            font-weight: 800;
        }

        .intro__content-title {
            font-size: clamp(1.5rem, 4.25vw, 3.5rem);

            .first {
                font-weight: 100;
            }

            .second {
                font-weight: 300;
            }
        }
    }

    .intro__content-social {
        padding: 0;
        margin-block-start: 0.75rem;

        display: flex;
        align-items: center;
        gap: 0.5rem;

        list-style-type: none;

        .intro__content-social-item {
            .intro__content-social-link {
                --size: 1.5rem;

                inline-size: var(--size);
                block-size: var(--size);

                padding: calc(var(--size) - 0.25rem);

                border-radius: 50%;

                position: relative;

                display: flex;
                justify-content: center;
                align-items: center;

                text-decoration: none;

                background-color: rgba(0, 0, 0, 0.3);

                .icon {
                    font-size: 0.9rem;
                }
            }
        }
    }
}

.about {
    .about__content {
        position: relative;

        display: grid;
        grid-template-columns: repeat(auto-fit, minmax(min(100%, 23rem), 1fr));
        gap: 3rem;

        .about__img {
            margin-block-end: 2.5rem;
            padding-inline-start: 2rem;

            position: relative;
            z-index: 2;

            @media screen and (min-width: 991px) {
                margin-block-end: 0;
                padding-inline-start: 5rem;
            }

            &::before {
                content: "";

                inline-size: 75%;
                block-size: 100%;

                position: absolute;
                inset-block-end: -5%;
                inset-inline-start: 0;
                z-index: -1;

                background-image: url("../images/dots.png");
                background-repeat: repeat;

                @media screen and (min-width: 991px) {
                    margin-block-end: 0;
                    padding-inline-start: 0;
                    inset-block-end: -5%;
                    inset-inline-start: 10%;
                }
            }
        }

        .about__content__end {
            display: flex;
            flex-direction: column;
            gap: 1rem;

            .about__content__end-title {
                font-family: var(--ff-2);
                font-size: clamp(1.875rem, 3vw, 2rem);
                font-weight: 800;
                text-transform: capitalize;
            }

            .about__content__end-subtitle {
                font-size: clamp(0.9rem, 0.85vw, 1rem);
                font-weight: 400;
                letter-spacing: 2px;
                color: var(--neutral-500);
                text-transform: capitalize;
            }

            .about__content__end-text {
                color: var(--neutral-500);
                line-height: 1.7;
                font-size: clamp(0.9rem, 2vw, 1rem);

                .name {
                    font-weight: 700;
                    text-transform: capitalize;
                }
            }

            .about__skills {
                display: flex;
                flex-direction: column;
                gap: 1.25rem;

                .progress {
                    --bs-progress-height: 1.65rem;

                    position: relative;

                    --bs-progress-border-radius: 0.25rem;

                    --bs-progress-bar-bg: var(--neutral-900);

                    .progress-name {
                        content: "";

                        position: absolute;
                        inset-block-start: 50%;
                        inset-inline-start: 1%;
                        transform: translateY(-50%);
                        z-index: 1;

                        font-size: 0.75rem;
                        text-transform: capitalize;

                        color: var(--neutral-50);

                        &::selection {
                            background-color: var(--neutral-50);
                            color: var(--neutral-900);
                        }
                    }

                    .progress-bar {
                        --time: 1s ease-in-out;
                        --progress-br: 0.3125rem;

                        inline-size: 0;

                        border-start-end-radius: var(--progress-br);
                        border-end-end-radius: var(--progress-br);

                        position: relative;

                        -webkit-transition: width var(--time);
                        -o-transition: width var(--time);
                        -moz-transition: width var(--time);
                        transition: width var(--time);

                        &::after {
                            content: attr(data-progress-value);

                            position: absolute;
                            inset-block-start: 50%;
                            inset-inline-end: 2%;
                            transform: translateY(-50%);
                            z-index: 1;

                            font-size: 0.75rem;
                        }
                    }
                }
            }

            .about__actions {
                display: flex;
                gap: 0.25rem;

                @media screen and (max-width: 576px) {
                    flex-direction: column;
                }
            }
        }
    }
}

.services {
    .services-card {
        --shadow: 0 0.625rem 1.875rem -0.5rem rgba(0, 0, 0, 0.1);

        padding-block: 2.8rem;
        padding-inline: 1.3rem;

        border-radius: 0.3125rem;

        display: flex;
        flex-direction: column;
        gap: 1rem;

        background-color: var(--neutral-50);

        text-align: center;

        -webkit-box-shadow: var(--shadow);
        box-shadow: var(--shadow);

        @media screen and (min-width: 776px) {
            padding-block: 3.25rem;
        }

        @media screen and (min-width: 991px) {
            padding-block: 4.25rem;
        }

        &:hover {
            .services-card__icon {
                background-color: var(--neutral-900);
                color: var(--neutral-50);
            }
        }

        .services-card__icon {
            --size: 4rem;
            --time: 0.3s ease-in-out;

            inline-size: var(--size);
            block-size: var(--size);

            margin-inline: auto;

            border-radius: 50%;

            display: flex;
            justify-content: center;
            align-items: center;

            font-size: 1.5rem;

            background-color: var(--neutral-100);

            transition:
                background-color var(--time),
                color var(--time);
        }

        .services-card__title {
            margin: 0;

            font-family: var(--ff-2);
            font-size: clamp(1.1rem, 1vw, 1.25rem);
            font-weight: 800;

            text-transform: capitalize;
        }

        .services-card__desc {
            margin: 0;

            font-size: clamp(0.85rem, 0.8vw, 1rem);
            color: var(--secondary-3);
        }
    }
}

.portfolio {
    .portfolio__filter {
        margin-inline: auto;
        text-align: center;

        .filter-link {
            inline-size: fit-content;
            padding: 0;

            position: relative;

            font-family: inherit;
            font-weight: 700;
            text-transform: capitalize;

            background-color: transparent;
            color: var(--neutral-900);

            &::after {
                content: "";

                inline-size: 0;
                block-size: 2px;

                position: absolute;
                inset-block-end: -15%;
                inset-inline-start: 0;
                z-index: 1;

                background-color: var(--neutral-900);

                transition: inline-size 0.35s ease-in-out;
            }

            &.active {
                &::after {
                    inline-size: 100%;
                }

                &:focus-visible {
                    --shadow: none;

                    -webkit-box-shadow: var(--shadow);
                    box-shadow: var(--shadow);
                }
            }
        }
    }

    .portfolio-card {
        position: relative;
        z-index: 1;

        &:hover {
            .portfolio-card__content {
                --move-y: 0;

                visibility: visible;
                opacity: 1;
                transform: translateY(0) scale(1);
            }
        }

        .portfolio-card__content {
            --move-y: 0.75rem;
            --card-time: 0.35s ease-in-out calc(var(--duration) - 0.3s);

            flex-direction: column;
            gap: 0.75rem;

            .portfolio-card__title {
                margin: 0;

                font-family: var(--ff-2);
                font-size: 0.9rem;
                font-weight: 700;

                text-transform: uppercase;

                transform: translateY(var(--move-y) * -1);

                transition: var(--card-time);
            }

            .portfolio-card__icons {
                display: flex;
                align-items: center;
                gap: 0.5rem;

                transform: translateY(var(--move-y));

                transition: var(--card-time);

                .portfolio-card__link {
                    --size: 0.75rem;
                }
            }
        }
    }
}

.testimonials {
    .testimonials__content {
        .testimonials-carousel {
            --space: 1rem;

            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;
            gap: var(--space);
        }
    }

    .testimonials-card {
        user-select: none;
        cursor: grab;

        &.active {
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
        }

        .testimonials-card__img {
            --size: clamp(7rem, 5vw, 10rem);

            inline-size: var(--size);
            block-size: var(--size);

            border-radius: 50%;

            margin-inline: auto;

            overflow: hidden;
        }

        .testimonials-card__body {
            min-block-size: 10rem;

            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;

            position: static;
            inset: 0;
        }

        .testimonials-card__text {
            max-inline-size: 100%;

            padding-inline: 0.5rem;

            margin-block: var(--space);
            margin-inline: auto;

            line-height: 1.8;
            word-spacing: 1.5px;
            text-align: center;
            font-size: clamp(0.875rem, 1.35vw, 1rem);

            color: var(--secondary-3);

            @media screen and (min-width: 576px) {
                max-inline-size: 80%;
            }
        }

        .testimonials-card__info {
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;
            gap: 0.25rem;

            text-transform: capitalize;
        }

        .testimonials-card__name {
            font-size: clamp(0.975rem, 1.5vw, 1.25rem);

            color: var(--neutral-900);
        }

        .testimonials-card__job {
            color: var(--secondary-3);
            font-size: clamp(0.875rem, 1.15vw, 1.25rem);
        }
    }

    .testimonial__indicators-btn {
        --size: 0.75rem;

        inline-size: var(--size);
        block-size: var(--size);

        border-radius: 50%;

        background-color: var(--secondary-1);

        transition:
            opacity 0.35s ease-in-out,
            background-color 0.35s ease-in-out;

        &.active {
            background-color: var(--secondary-2);
        }
    }
}

.achievements {
    position: relative;

    .achievements__content {
        position: relative;
        z-index: 2;
    }

    .achievements-box {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        gap: 1rem;

        text-align: center;

        color: var(--neutral-900);

        .achievements-box__icon {
            display: flex;
            justify-content: center;
            align-items: center;

            color: inherit;

            font-size: 1.9rem;
        }

        .achievements-box__num {
            margin: 0;

            font-family: var(--ff-2);
            font-weight: 900;
        }

        .achievements-box__title {
            margin: 0;

            font-size: clamp(1.1rem, 1vw, 1.25rem);
            text-transform: capitalize;

            color: var(--secondary-2);
        }

        .achievements-box__content {
            display: flex;
            flex-direction: column;

            text-transform: uppercase;
        }
    }
}

.team {
    .team-card {
        --radius: 0.5rem;

        position: relative;

        &:hover {
            .team-card__links {
                visibility: visible;
                opacity: 1;
                transform: translateY(0) scaleY(1);
            }
        }

        .team-card__header {
            position: relative;
            overflow: hidden;

            &:hover {
                .team-card__img-container .team-card__img {
                    transform: scale(1.2);
                }
            }

            .team-card__img-container {
                .team-card__img {
                    transition: transform 0.4s ease-in-out;
                }
            }
        }

        .team-card__footer {
            padding-block: 1rem;

            border-end-end-radius: var(--radius);
            border-end-start-radius: var(--radius);

            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;
            gap: 0.25rem;

            background-color: var(--neutral-700);
            color: var(--neutral-50);

            font-family: var(--ff-2);
            text-align: center;

            .team-card__name {
                font-size: clamp(1.15rem, 1.7vw, 1.5rem);
                text-transform: capitalize;
            }

            .team-card__job {
                font-size: clamp(1.15rem, 1.3vw, 1.85rem);
                text-transform: uppercase;
            }
        }
    }
}

.footer {
    .copyright-text {
        font-size: 0.85rem;
    }
}

.contact {
    .submit-btn {
        @media screen and (max-width: 768px) {
            width: 100%;
        }
    }
}
